import type { RepoCache, RepoCacheData, RepoCacheRecord } from '../types';
export declare abstract class RepoCacheBase implements RepoCache {
    protected readonly repository: string;
    protected platform: string;
    private oldHash;
    private data;
    protected constructor(repository: string);
    protected abstract read(): Promise<string | undefined>;
    protected abstract write(data: RepoCacheRecord): Promise<void>;
    load(): Promise<void>;
    save(): Promise<void>;
    getData(): RepoCacheData;
}
